body {
    height: 100vh;
    margin: 0;
    display: grid;
    place-items: center;
    gap: 10dvh;
}

main {
    display: subgrid;
}

form {
    font-size: 1rem;
    margin-bottom: 3rem;
}

aside {
    margin: 1rem;
    font-size: 2rem;
    display: flex;
}

.row {
    display: flex;
    align-items: center;
    gap: 1rem; 
}

input[type="range"] {
    font-size: 1rem;
    display: block;
    width: 100%;
    height: 1rem;
    padding: 1rem;
    margin: 1rem 0;
}

input[type=checkbox] {
    transform: scale(1.6);
}

output {
    font-size: 2rem;
}

.container {
    position: relative;
    display: inline-block;
    width: 10rem;
    height: 10rem;
    border: 1px solid black;
}

.path {
    --small: 2rem;
    --big: 4rem;
    width: var(--small);
    height: var(--small);
    --time: 16s;
    position: absolute;
    background-color: oklch(60% 0.4 230);
    animation: move var(--time, 16s) linear infinite;
    display: grid;
    place-items: center;
    border-radius: 5px;
}

.xywh-path {
    offset-path: xywh(0 0 100% 100% round 8px);
}

@keyframes move {
    0% {
        offset-distance: -25%;
        width: var(--small);
        height: var(--small);
    }

    25% {
        width: var(--big);
        height: var(--big);
    }

    50% {
        width: var(--big);
        height: var(--big);
    }
    
    75% {
        width: var(--small);
        height: var(--small);
    }

    100% {
        offset-distance: 75%;
    }
}
